%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-1.1.1
%global pypi_name devpi-common

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        2.0.3
Release:        1%{?dist}
Summary:        utilities jointly used by devpi-server and devpi-client

License:        MIT
URL:            https://bitbucket.org/hpk42/devpi
Source0:        https://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  %{?scl_prefix_python}python-devel
BuildRequires:  %{?scl_prefix_python}python-setuptools
BuildRequires:  %{?scl_prefix}python-pytest
BuildRequires:  %{?scl_prefix}python-requests >= 2.3.0
BuildRequires:  %{?scl_prefix}python-py >= 1.4.20
Requires:       %{?scl_prefix}python-requests >= 2.3.0
Requires:       %{?scl_prefix}python-py >= 1.4.20

%description
This package contains utility functions used by devpi-server and devpi-client.
See http://doc.devpi.net for more information.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%{?scl:scl enable %{scl} - << \EOF}
%{__python} setup.py build
%{?scl:EOF}

%install
%{?scl:scl enable %{scl} - << \EOF}
%{__python} setup.py install --skip-build --root %{buildroot}
%{?scl:EOF}

%check
%{?scl:scl enable %{scl} - << \EOF}
PYTHONPATH=$(pwd):$PYTHONPATH py.test
%{?scl:EOF}

%files
%doc README.rst
%{python_sitelib}/devpi_common
%{python_sitelib}/devpi_common-%{version}-py?.?.egg-info

%changelog
* Wed Oct 29 2014 Slavek Kabrda <bkabrda@redhat.com> - 2.0.3-1
- Initial package.
